Bug 409291 - Review Request: libopensync-plugin-sunbird - Mozilla Calendar / Sunbird Synchronization Plug-In for OpenSync
Review Request: libopensync-plugin-sunbird - Mozilla Calendar / Sunbird Synch...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fabry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 15:23 EST by Marek Mahut
Modified: 2007-12-06 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 17:19:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfabry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Fabry 2007-12-03 16:06:23 EST
I think, 'make' should be 'make %{?_smp_mflags}'. Everything else seems to be
ok. RPMLint is silent. Build in mock is ok.
Comment 2 Andreas Bierfert 2007-12-03 16:44:09 EST
The .la file should not be included imho but anyway from a quick look it seems fine.
Comment 3 Marek Mahut 2007-12-03 16:46:58 EST
Andreas, should I remove this file from package using rm duing %build?
Comment 4 Andreas Bierfert 2007-12-03 16:59:45 EST
Yes. Just do something like rm
$RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/sunbird_sync.la

:)
Comment 5 Marek Mahut 2007-12-03 17:08:56 EST
Spec file and src rpm updated.

 
http://mmahut.fedorapeople.org/reviews/libopensync-plugin-sunbird/libopensync-plugin-sunbird-0.22-2.fc8.src.rpm


Andreas, do you mind if I put your as co-maintainer of this package?
Comment 6 Michal Fabry 2007-12-03 17:17:06 EST
APPROVED
Comment 7 Andreas Bierfert 2007-12-04 02:40:12 EST
Sure go ahead.
Comment 8 Marek Mahut 2007-12-04 02:56:48 EST
Thank you Michal for review. Thank you Andreas for valuable help.

New Package CVS Request
=======================
Package Name: libopensync-plugin-sunbird
Short Description: Mozilla Calendar / Sunbird Synchronization Plug-In for OpenSync
Owners: mmahut, jwb
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 9 Lubomir Kundrak 2007-12-04 03:26:28 EST
(In reply to comment #4)
> Yes. Just do something like rm
> $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/sunbird_sync.la

Andreas: Some people consider %exclude in %files more elegant.
Comment 10 Andreas Bierfert 2007-12-04 06:52:21 EST
I do myself but afaik %exclude should not be used because rpm then calculates a
wrong package size (which does not really harm anyone but makes rpm suggest a
wrong size of the package).
Comment 11 Kevin Fenzi 2007-12-04 15:08:13 EST
cvs done.
Comment 12 John Berninger 2007-12-04 15:55:33 EST
I thnk 'jwb' as co-owner in comment 8's VS request was incorrect...  Andreas
isn't 'jwb', since I'm 'jwb'.  Andreas, care to add a CVS request with the
correct id?

Package CVS Request
=======================
Package Name: libopensync-plugin-sunbird
Owners: mmahut      (removing jwb)
Comment 13 Marek Mahut 2007-12-05 01:24:19 EST
Oooooooooops.

Owners: mmahut, awjb

Sorry!
Comment 14 Kevin Fenzi 2007-12-05 14:31:02 EST
ok. I think it should be all fixed up. 
Let me know if you need any further changes. 
Comment 15 Marek Mahut 2007-12-06 17:19:13 EST
Thank you all!

Note You need to log in before you can comment on or make changes to this bug.